Skip to main content
`Ctrl`+`K`

# MinMaxInterval

class astropy.visualization.MinMaxInterval

  Bases: `BaseInterval`

  Interval based on the minimum and maximum values in the data.

  Methods Summary

  `__call__`(values[, clip, out]) | Transform values using this interval.
  `get_limits`(values) | Return the minimum and maximum value in the interval based on the values provided.

  Methods Documentation

  __call__(values, clip=True, out=None)

    Transform values using this interval.

    The `vmin` and `vmax` values are determined by the `get_limits` method.

    The following transformation is then applied to the values:

    \[{\rm result} = \frac{{\rm values} - v_{\rm min}} {v_{\rm max} - v_{\rm min}}\]

    If `clip` is `True` (default), the result is then clipped to the [0:1] range.

    Parameters:
      values numpy:array_like

        The input values.

      clip bool, optional

        If `True` (default), values outside the [0:1] range are clipped to the [0:1] range.

      out `ndarray`, optional

        If specified, the output values will be placed in this array (typically used for in-place calculations).

    Returns:
      result `ndarray`

        The transformed values.

  get_limits(values)

    Return the minimum and maximum value in the interval based on the values provided.

    Parameters:
      values `ndarray`

        The image values.

    Returns:
      vmin, vmax `python:float`

        The mininium and maximum image value in the interval.